/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package matematicasdiscretas;

import java.util.ArrayList;
import java.util.List;
import java.util.Vector;
import javax.swing.ImageIcon;
import javax.swing.JLabel;
import javax.swing.JLayeredPane;
import javax.swing.JPanel;

/**
 *
 * @author Danny Jaramillo
 */
public class Sucesiones extends javax.swing.JFrame {

    /**
     * Creates new form Sucesiones
     */
    public Sucesiones() {
        initComponents();

        setLocationRelativeTo(null);

        setIconImage(new ImageIcon(getClass().getResource("/fotos/icono.jpg")).getImage());//PONER UN ICONO

        ((JPanel) getContentPane()).setOpaque(false);
        ImageIcon uno = new ImageIcon(this.getClass().getResource("/fotos/he.jpg"));
        JLabel fondo = new JLabel();
        fondo.setIcon(uno);
        getLayeredPane().add(fondo, JLayeredPane.FRAME_CONTENT_LAYER);
        fondo.setBounds(0, 0, uno.getIconWidth(), uno.getIconHeight());

        setVisible(true);
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jLabel1 = new javax.swing.JLabel();
        jLabel2 = new javax.swing.JLabel();
        txtSucesion = new javax.swing.JTextField();
        jButton1 = new javax.swing.JButton();
        jButton2 = new javax.swing.JButton();
        jLabel3 = new javax.swing.JLabel();
        jLabel4 = new javax.swing.JLabel();
        jButton3 = new javax.swing.JButton();
        lblrespuesta = new javax.swing.JLabel();
        jSeparator1 = new javax.swing.JSeparator();
        jLabel5 = new javax.swing.JLabel();
        txtConjunto = new javax.swing.JTextField();
        jButton4 = new javax.swing.JButton();
        jLabel6 = new javax.swing.JLabel();
        jButton5 = new javax.swing.JButton();
        jButton6 = new javax.swing.JButton();
        jButton7 = new javax.swing.JButton();
        jButton8 = new javax.swing.JButton();
        jButton9 = new javax.swing.JButton();
        jButton10 = new javax.swing.JButton();
        jButton11 = new javax.swing.JButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setTitle("Sucesiones");

        jLabel1.setFont(new java.awt.Font("Yu Gothic UI Semibold", 0, 36)); // NOI18N
        jLabel1.setText("Sucesiones de Numeros Reales");

        jLabel2.setFont(new java.awt.Font("Yu Gothic UI Semibold", 0, 18)); // NOI18N
        jLabel2.setText("Sucesion:  A=");

        jButton1.setFont(new java.awt.Font("Tahoma", 0, 18)); // NOI18N
        jButton1.setText("1 A 1");
        jButton1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton1ActionPerformed(evt);
            }
        });

        jButton2.setFont(new java.awt.Font("Yu Gothic UI Semibold", 0, 18)); // NOI18N
        jButton2.setText("Nuevo");
        jButton2.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton2ActionPerformed(evt);
            }
        });

        jLabel3.setFont(new java.awt.Font("Yu Gothic UI", 0, 18)); // NOI18N
        jLabel3.setText("Respuesta:");

        jButton3.setFont(new java.awt.Font("Yu Gothic UI Semibold", 0, 18)); // NOI18N
        jButton3.setText("Salir");
        jButton3.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton3ActionPerformed(evt);
            }
        });

        lblrespuesta.setFont(new java.awt.Font("Yu Gothic", 0, 18)); // NOI18N
        lblrespuesta.setText("......................................................");

        jLabel5.setFont(new java.awt.Font("Yu Gothic UI Semibold", 0, 18)); // NOI18N
        jLabel5.setText("Conjunto: B={");

        jButton4.setFont(new java.awt.Font("Yu Gothic UI Semibold", 0, 18)); // NOI18N
        jButton4.setText("A⊆ B");
        jButton4.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton4ActionPerformed(evt);
            }
        });

        jLabel6.setFont(new java.awt.Font("Yu Gothic UI Semibold", 0, 18)); // NOI18N
        jLabel6.setText("}");

        jButton5.setFont(new java.awt.Font("Yu Gothic UI Semibold", 0, 18)); // NOI18N
        jButton5.setText("¿Es creciente?");
        jButton5.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton5ActionPerformed(evt);
            }
        });

        jButton6.setFont(new java.awt.Font("Yu Gothic UI Semibold", 0, 18)); // NOI18N
        jButton6.setText("¿Es decreciente?");
        jButton6.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton6ActionPerformed(evt);
            }
        });

        jButton7.setFont(new java.awt.Font("Yu Gothic UI Semibold", 0, 18)); // NOI18N
        jButton7.setText("¿Es no creciente?");
        jButton7.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton7ActionPerformed(evt);
            }
        });

        jButton8.setFont(new java.awt.Font("Yu Gothic UI Semibold", 0, 18)); // NOI18N
        jButton8.setText("¿Es no decreciente?");
        jButton8.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton8ActionPerformed(evt);
            }
        });

        jButton9.setFont(new java.awt.Font("Yu Gothic UI Semibold", 0, 18)); // NOI18N
        jButton9.setText("A(2**n) Subsucesion de B(2n)");
        jButton9.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton9ActionPerformed(evt);
            }
        });

        jButton10.setFont(new java.awt.Font("Yu Gothic UI Semibold", 0, 18)); // NOI18N
        jButton10.setText("A es una subcadena de B");
        jButton10.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton10ActionPerformed(evt);
            }
        });

        jButton11.setFont(new java.awt.Font("Yu Gothic UI Semibold", 0, 18)); // NOI18N
        jButton11.setText("A(3**n) Subsucesion de B(3n)");
        jButton11.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton11ActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jSeparator1)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                        .addComponent(jButton2)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jButton3)
                        .addGap(23, 23, 23))
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                        .addComponent(jLabel1)
                        .addGap(275, 275, 275))))
            .addGroup(layout.createSequentialGroup()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(layout.createSequentialGroup()
                        .addGap(33, 33, 33)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jLabel2)
                            .addComponent(jLabel3))
                        .addGap(18, 18, 18)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                            .addComponent(txtSucesion)
                            .addComponent(lblrespuesta, javax.swing.GroupLayout.DEFAULT_SIZE, 275, Short.MAX_VALUE))
                        .addGap(152, 152, 152)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(layout.createSequentialGroup()
                                .addGap(0, 0, Short.MAX_VALUE)
                                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                    .addComponent(jButton7, javax.swing.GroupLayout.Alignment.TRAILING)
                                    .addComponent(jButton5, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.PREFERRED_SIZE, 173, javax.swing.GroupLayout.PREFERRED_SIZE))
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                    .addComponent(jButton8, javax.swing.GroupLayout.Alignment.TRAILING)
                                    .addComponent(jButton6, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.PREFERRED_SIZE, 195, javax.swing.GroupLayout.PREFERRED_SIZE)))
                            .addGroup(layout.createSequentialGroup()
                                .addComponent(jLabel4, javax.swing.GroupLayout.PREFERRED_SIZE, 221, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addGap(0, 282, Short.MAX_VALUE))))
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                        .addGap(36, 36, 36)
                        .addComponent(jLabel5)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addComponent(txtConjunto, javax.swing.GroupLayout.PREFERRED_SIZE, 282, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addComponent(jLabel6)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addComponent(jButton4)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addComponent(jButton9, javax.swing.GroupLayout.PREFERRED_SIZE, 281, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                        .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addComponent(jButton1, javax.swing.GroupLayout.PREFERRED_SIZE, 375, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                        .addGap(0, 0, Short.MAX_VALUE)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                            .addComponent(jButton10, javax.swing.GroupLayout.DEFAULT_SIZE, 372, Short.MAX_VALUE)
                            .addComponent(jButton11, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGap(43, 43, 43)
                .addComponent(jLabel1)
                .addGap(67, 67, 67)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addGroup(layout.createSequentialGroup()
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jLabel2)
                            .addComponent(txtSucesion, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(jLabel4))
                        .addGap(30, 30, 30)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jLabel3)
                            .addComponent(lblrespuesta))
                        .addGap(15, 15, 15))
                    .addGroup(layout.createSequentialGroup()
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jButton6)
                            .addComponent(jButton5))
                        .addGap(21, 21, 21)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jButton8)
                            .addComponent(jButton7))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)))
                .addComponent(jButton1, javax.swing.GroupLayout.PREFERRED_SIZE, 33, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(18, 18, 18)
                .addComponent(jSeparator1, javax.swing.GroupLayout.PREFERRED_SIZE, 10, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(27, 27, 27)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel5)
                    .addComponent(txtConjunto, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jButton4)
                    .addComponent(jLabel6)
                    .addComponent(jButton9))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addComponent(jButton11)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jButton10)
                .addGap(18, 18, 18)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jButton2)
                    .addComponent(jButton3))
                .addGap(40, 40, 40))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void jButton3ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton3ActionPerformed
        hide();        // TODO add your handling code here:
    }//GEN-LAST:event_jButton3ActionPerformed

    private void jButton2ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton2ActionPerformed
        txtSucesion.setText("");
        lblrespuesta.setText("");
        txtConjunto.setText("");
    }//GEN-LAST:event_jButton2ActionPerformed

    private void jButton1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton1ActionPerformed

        String conjuntoA = txtSucesion.getText();
        String[] parts = conjuntoA.split(",");

        int x = Integer.parseInt(parts[0]);

        boolean s = true;
        for (int f = 1; f < parts.length; f++) {
            x = x + 1;
            if (x == Integer.parseInt(parts[f])) {

            } else {
                s = false;
            }

        }

        if (s) {
            lblrespuesta.setText("La serie incrementa en uno (1)");
        } else {
            lblrespuesta.setText("La serie  no incrementa en uno (1)");
        }
    }//GEN-LAST:event_jButton1ActionPerformed

    private void jButton4ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton4ActionPerformed

        String conjuntoA = txtSucesion.getText();
        String[] parts = conjuntoA.split(",");
        System.out.println(" A" + parts.length);
        String conjuntoB = txtConjunto.getText();
        String[] partsB = conjuntoB.split(",");
        System.out.println("  B " + partsB.length);

        List<String> listaUnion = new ArrayList<>();

        for (int f = 0; f < partsB.length; f++) {

            listaUnion.add(partsB[f]);

        }

        int cont = 0;
        for (int f = 0; f < parts.length; f++) {
            if (listaUnion.contains(parts[f])) {

            } else {

                cont++;
                System.out.println(" entrooo");
            }

        }

        if (cont != 0) {

            lblrespuesta.setText("! La sucesion A no es un subconjunto de B !");
        } else {
            lblrespuesta.setText("! La sucesion A  es un subconjunto de B !");
        }
    }//GEN-LAST:event_jButton4ActionPerformed

    private void jButton5ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton5ActionPerformed
        String conjuntoA = txtSucesion.getText();
        String[] parts = conjuntoA.split(",");

        boolean s = true;
        int cont = 0;
        for (int f = 1; f < parts.length; f++) {

            if (Integer.parseInt(parts[cont]) < Integer.parseInt(parts[f])) {

            } else {
                s = false;
            }
            cont++;

        }

        if (s) {
            lblrespuesta.setText("A es una serie creciente");
        } else {
            lblrespuesta.setText("A no es una serie creciente");
        }
    }//GEN-LAST:event_jButton5ActionPerformed

    private void jButton6ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton6ActionPerformed
        String conjuntoA = txtSucesion.getText();
        String[] parts = conjuntoA.split(",");

        boolean s = true;
        int cont = 0;
        for (int f = 1; f < parts.length; f++) {

            if (Integer.parseInt(parts[cont]) > Integer.parseInt(parts[f])) {

            } else {
                s = false;
            }
            cont++;

        }

        if (s) {
            lblrespuesta.setText("A es una serie decreciente");
        } else {
            lblrespuesta.setText("A no es una serie decreciente");
        }
    }//GEN-LAST:event_jButton6ActionPerformed

    private void jButton7ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton7ActionPerformed
        String conjuntoA = txtSucesion.getText();
        String[] parts = conjuntoA.split(",");

        boolean s = true;
        int cont = 0;
        for (int f = 1; f < parts.length; f++) {

            if (Integer.parseInt(parts[cont]) >= Integer.parseInt(parts[f])) {

            } else {
                s = false;
            }
            cont++;

        }

        if (s) {
            lblrespuesta.setText("A es una serie (no creciente)");
        } else {
            lblrespuesta.setText("A no es una serie (no creciente) ");
        }
    }//GEN-LAST:event_jButton7ActionPerformed

    private void jButton8ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton8ActionPerformed
        String conjuntoA = txtSucesion.getText();
        String[] parts = conjuntoA.split(",");

        boolean s = true;
        int cont = 0;
        for (int f = 1; f < parts.length; f++) {

            if (Integer.parseInt(parts[cont]) <= Integer.parseInt(parts[f])) {

            } else {
                s = false;
            }
            cont++;

        }

        if (s) {
            lblrespuesta.setText("A es una serie ( no decreciente )");
        } else {
            lblrespuesta.setText("A no es una serie ( no decreciente )");
        }
    }//GEN-LAST:event_jButton8ActionPerformed

    private void jButton9ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton9ActionPerformed
        txtConjunto.setText("2,4,6,8,10,12,14,16,18");
//        String conjuntoA = txtSucesion.getText();
//        String[] parts = conjuntoA.split(",");
//        System.out.println(" A" + parts.length);
//        String conjuntoB = txtConjunto.getText();
//        String[] partsB = conjuntoB.split(",");
//        System.out.println("  B " + partsB.length);
//
//        List<String> listaUnion = new ArrayList<>();
//
//        for (int f = 0; f < partsB.length; f++) {
//
//            listaUnion.add(partsB[f]);
//
//        }
//
//        int cont = 0;
//        for (int f = 0; f < parts.length; f++) {
//
//            if (listaUnion.contains(parts[f])) {
//
//            } else {
//
//                cont++;
//
//            }
//
//        }
//
//        if (cont == 0) {
//            System.out.println(" ENTROOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO");// SA TRUE ES CRECEINRE  FALSE ES DECRECIENTE
//            String A = txtSucesion.getText();
//            String[] partsA = A.split(",");
//
//            boolean sA = true;
//            int contA = 0;
//            for (int f = 1; f < partsA.length; f++) {
//
//                if (Integer.parseInt(partsA[contA]) <= Integer.parseInt(partsA[f])) {
//
//                } else {
//                    sA = false;
//                }
//                contA++;
//
//            } // sA = 0 es una de crecimiento
//
//            String B = txtConjunto.getText();
//            String[] partsBI = B.split(",");
//
//            boolean sB = true;
//            int contB = 0;
//            for (int f = 1; f < partsBI.length; f++) {
//
//                if (Integer.parseInt(partsBI[contB]) <= Integer.parseInt(partsBI[f])) {
//
//                } else {
//                    sB = false;
//                }
//                contB++;
//
//            }
//            System.out.println(" A   " + sA);
//            System.out.println(" B   " + sB);
//            if (sA == sB) {
//                lblrespuesta.setText("!A  es una subsucesion de B !");
//            } else {
//                lblrespuesta.setText("!A no es una  subsucesion de B !");
//            }
//
//        } else {
//            lblrespuesta.setText("!A no es una subsucesion de B !");
//
//        }
        String[] valores = txtSucesion.getText().split(",");
        Vector hija = new Vector();
        boolean verif1 = false;

        for (int i = 0; i < valores.length; i++) {
            int valor = Integer.parseInt(valores[i]);
            hija.add(valor);

        }
        hija.size();
        System.out.println(" Longitud  .... " + hija.size());

        for (int i = 0; i < hija.size(); i++) {
            int valor = (int) (hija.get(i));
            System.out.println(" " + Math.pow(2, i + 1) + " == " + valor);
            if (Math.pow(2, i + 1) == valor) {
                verif1 = true;
            } else {
                verif1 = false;
                lblrespuesta.setText(" A  no es una subsucesion de B (2n ;2**n)");
                break;
            }
        }
        if (verif1 == true) {
            lblrespuesta.setText(" A es una subsucesion de B (2n ;2**n)");
        } else {
            lblrespuesta.setText(" A  no es una subsucesion de B (2n ;2**n)");
        }


    }//GEN-LAST:event_jButton9ActionPerformed

    private void jButton10ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton10ActionPerformed
//        String cadena = txtSucesion.getText();
//        String resultado = txtConjunto.getText();
//
//        if (resultado.contains(cadena)) {
//            lblrespuesta.setText(" A si es una subcadena  en B ");
//        } else {
//            lblrespuesta.setText(" A  no es una subcadena  en B ");
//        }
//CORREGIR

        char cad[];

        char cad1[];
        cad = txtConjunto.getText().toCharArray();
        cad1 = txtSucesion.getText().toCharArray();
        boolean bandera = false;
        int posicion = 0;
        int pos = 0;
        for (int i = pos; i < cad.length; i++) {
            bandera = false;
            System.out.println("");
            if (cad[i] == cad1[0]) {
                for (int j = i; j < (i + cad1.length); j++) {
                    if (cad[j] == cad1[posicion]) {
                        bandera = true;
                        System.out.println("cad1: " + cad[j] + " cad2: " + cad1[posicion]);
                        pos++;
                    } else {
                        bandera = false;
                        System.out.println("" + bandera);
                        break;
                    }
                    posicion++;
                }
            }
            if (bandera) {
                break;
            } else {
                posicion = 0;
            }
        }
        if (bandera == true) {
            lblrespuesta.setText(" A es subcadena de la cadena");
        } else {
            lblrespuesta.setText(" A no es subcadena de la cadena");
        }


    }//GEN-LAST:event_jButton10ActionPerformed

    private void jButton11ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton11ActionPerformed

        txtConjunto.setText("3,6,9,12,15,18,21,24");
        String[] valores = txtSucesion.getText().split(",");
        Vector hija = new Vector();
        boolean verif1 = false;

        for (int i = 0; i < valores.length; i++) {
            int valor = Integer.parseInt(valores[i]);
            hija.add(valor);

        }
        hija.size();
        System.out.println(" Longitud  .... " + hija.size());

        for (int i = 0; i < hija.size(); i++) {
            int valor = (int) (hija.get(i));
            System.out.println(" " + Math.pow(3, i + 1) + " == " + valor);
            if (Math.pow(3, i + 1) == valor) {
                verif1 = true;
            } else {
                verif1 = false;
                lblrespuesta.setText(" A  no es una subsucesion de B (3n ;3**n)");
                break;
            }
        }
        if (verif1 == true) {
            lblrespuesta.setText(" A es una subsucesion de B (3n ;3**n)");
        } else {
            lblrespuesta.setText(" A  no es una subsucesion de B (3n ;3**n)");
        }
    }//GEN-LAST:event_jButton11ActionPerformed

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(Sucesiones.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(Sucesiones.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(Sucesiones.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(Sucesiones.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new Sucesiones().setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton jButton1;
    private javax.swing.JButton jButton10;
    private javax.swing.JButton jButton11;
    private javax.swing.JButton jButton2;
    private javax.swing.JButton jButton3;
    private javax.swing.JButton jButton4;
    private javax.swing.JButton jButton5;
    private javax.swing.JButton jButton6;
    private javax.swing.JButton jButton7;
    private javax.swing.JButton jButton8;
    private javax.swing.JButton jButton9;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JSeparator jSeparator1;
    private javax.swing.JLabel lblrespuesta;
    private javax.swing.JTextField txtConjunto;
    private javax.swing.JTextField txtSucesion;
    // End of variables declaration//GEN-END:variables
}
